Ag=importdata('elcentro.txt');
for j=1:725
    T(1,j)=0.02*j;
    m=10;
    k(1,j)=((2*pi)^2*m)/(T(1,j)^2);
    c(1,j)=0.05*2*sqrt(m*k(1,j));
    a0=0;
    deltaT=0.02;
    gamma=0.5;
    beta=1/6;
    khat(1,j)=k(1,j)+(gamma/(beta*deltaT))*c(1,j)+(1/(beta*(deltaT)^2))*m;
    a(1,j)=(1/(beta*deltaT))*m+(gamma/beta)*c(j);
    b(1,j)=(1/(2*beta))*m+deltaT*((gamma/(2*beta))-1)*c(1,j);
    dD=zeros(length(Ag),1);
    dV=zeros(length(Ag),1);
    dA=zeros(length(Ag),1);
    D=zeros(length(Ag),1);
    V=zeros(length(Ag),1);
    A=zeros(length(Ag),1);
    dP=zeros(length(Ag),1);
    dPhat=zeros(length(Ag),1);
    for i=1:(length(Ag)-1)
        dP(i)=((Ag(i+1)*m)-(Ag(i)*m))*9.81;
        dPhat(i)=dP(i)+a(1,j)*V(i)+b(1,j)*A(i);
        dD(i)=dPhat(i)/khat(1,j);
        dV(i)=(gamma/(beta*deltaT))*dD(i)-(gamma/beta)*V(i)+deltaT*(1-(gamma/(2*beta)))*A(i);
        dA(i)=(1/(beta*(deltaT^2)))*dD(i)-(1/(beta*deltaT))*V(i)-(1/(2*beta))*A(i);
        D(i+1)=D(i)+dD(i);
        V(i+1)=V(i)+dV(i);
        A(i+1)=A(i)+dA(i);
    end
    Dmax(1,j)=max(abs(D));
    Vmax(1,j)=max(abs(V));
    Amax(1,j)=max(abs(A));
end

